apiVersion: argoproj.io/v1alpha1
kind: ApplicationSet
metadata:
  name: mayacontigo-monorepo
  namespace: argocd
spec:
  generators:
    - git:
        repoURL: git@ssh.gitea.ia-innovacion.work:A8065384/Mayacontigo.git
        revision: HEAD
        directories:
          - path: apps/*
  template:
    metadata:
      name: '{{path.basename}}'
      namespace: argocd
    spec:
      project: default
      source:
        repoURL: git@ssh.gitea.ia-innovacion.work:A8065384/Mayacontigo.git
        targetRevision: HEAD
        path: '{{path}}/.k8s'
      destination:
        server: https://kubernetes.default.svc
        namespace: apps
      syncPolicy:
        automated:
          prune: true
          selfHeal: true
